Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.transform
Interface MutableTransformer

All Superinterfaces:
  ChangeEventSupport, ShapeTransformer, Transformer

All Known Implementing Classes:
  HyperbolicTransformer, LensTransformer, MagnifyTransformer, MutableAffineTransformer, MutableTransformerDecorator

public interface MutableTransformer
extends ShapeTransformer, ChangeEventSupport

Provides an API for the mutation of a transformer and for adding listeners for changes on the transformer

Author:
  Tom Nelson - RABA Technologies

Method Summary
`void` | `concatenate(AffineTransform transform)`
`double` | `getRotation()`
`double` | `getScale()`
`double` | `getScaleX()`
`double` | `getScaleY()`
`double` | `getShearX()`
`double` | `getShearY()`
`AffineTransform` | `getTransform()`
`double` | `getTranslateX()`
`double` | `getTranslateY()`
`void` | `preConcatenate(AffineTransform transform)`
`void` | `rotate(double radians, double x, double y)`
`void` | `rotate(double radians, Point2D point)`
`void` | `scale(double sx, double sy, Point2D point)`
`void` | `setScale(double sx, double sy, Point2D point)`
`void` | `setToIdentity()`
`void` | `setTranslate(double dx, double dy)`
`void` | `shear(double shx, double shy, Point2D from)`
`void` | `translate(double dx, double dy)`

Methods inherited from interface edu.uci.ics.jung.visualization.transform.shape.ShapeTransformer
`inverseTransform, transform`

Methods inherited from interface edu.uci.ics.jung.visualization.transform.Transformer
`inverseTransform, transform`

Methods inherited from interface edu.uci.ics.jung.utils.ChangeEventSupport
`addChangeListener, fireStateChanged, getChangeListeners, removeChangeListener`

Method Detail

### translate

    public void translate(double dx,
                          double dy)

### setTranslate

    public void setTranslate(double dx,
                             double dy)

### scale

    public void scale(double sx,
                      double sy,
                      Point2D point)

### setScale

    public void setScale(double sx,
                         double sy,
                         Point2D point)

### rotate

    public void rotate(double radians,
                       Point2D point)

### rotate

    public void rotate(double radians,
                       double x,
                       double y)

### shear

    public void shear(double shx,
                      double shy,
                      Point2D from)

### concatenate

    public void concatenate(AffineTransform transform)

### preConcatenate

    public void preConcatenate(AffineTransform transform)

### getScaleX

    public double getScaleX()

### getScaleY

    public double getScaleY()

### getScale

    public double getScale()

### getTranslateX

    public double getTranslateX()

### getTranslateY

    public double getTranslateY()

### getShearX

    public double getShearX()

### getShearY

    public double getShearY()

### getTransform

    public AffineTransform getTransform()

### setToIdentity

    public void setToIdentity()

### getRotation

    public double getRotation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD